#!/bin/sh
# xorg.conf korrigieren
sed -i /etc/X11/xorg.conf* -e "/^[\t ]*ModulePath/d"
sh /_config/bin/set_xorgres.sh

# commands.conf verschoenern
for i in /etc/vdr/commands/[0-9][0-9]_* ; do 
   NUM=${i/_*/}
   NAME=${i/*_/}
   NN=""
   case $NAME in
      system)     NN="System";;
      recordings) NN="Aufnahme";;
      services)   NN="Dienste";;
      epg)        NN="EPG";;
      usb)        NN="USB";;
      net)        NN="Netzwerk";;
      cd2mp3)     NN="AudioCD2MP3";;
      wss)        NN="Bildschirmdarstellung";;
      backup)     NN="Backup";;
      log)        NN="Logs";;
      teach)      NN="Fernbedienung";;
   esac
   if [ "$NN" != "" ] ; then
      mv -v $i "${NUM}_${NN}"
   fi      
done

# reccmds erweitern
if [ ! -f /etc/vdr/reccmds/convert ] || [ "$(grep vdr2mpg /etc/vdr/reccmds/convert)" = "" ] ; then
   echo "In MPEG2 umwandeln         : /_config/bin/g2v_convert.sh mpg" >> /etc/vdr/reccmds/convert
fi

# admin.conf updaten
sh /_config/bin/g2v_updadminconf.sh
